IF "%1"=="unisen_d" GOTO Make_f040
IF "%1"=="yuxin" GOTO Make_f040
IF "%1"=="iph_e00_8b_f" GOTO Make_008b
IF "%1"=="iph_e00_8b_nf" GOTO Make_008b
IF "%1"=="iph_e00_2g" GOTO Make_008b
IF "%1"=="iph_e00_box" GOTO Make_008t
IF "%1"=="pa168s" GOTO Make_008t
IF "%1"=="pa168p" GOTO Make_008t
IF "%1"=="pa168q" GOTO Make_008t
IF "%1"=="5111phone" GOTO Make_008t
IF "%1"=="maxlink" GOTO Make_008t
IF "%1"=="ywh100" GOTO Make_008t
IF "%1"=="ywh200" GOTO Make_008t
IF "%1"=="ywh300" GOTO Make_008t
IF "%1"=="ywh500" GOTO Make_008t
IF "%1"=="ywh10" GOTO Make_008t
IF "%1"=="ep668" GOTO Make_008t
IF "%1"=="cosun" GOTO Make_008t
IF "%1"=="kingtel" GOTO Make_008t
IF "%1"=="yodao" GOTO Make_008t
IF "%1"=="pa168t" GOTO Make_f016
IF "%1"=="wlink" GOTO Make_f016
IF "%1"=="iplink" GOTO Make_f016
IF "%1"=="pa168v" GOTO Make_f016
IF "%1"=="wg2203" GOTO Make_f016
IF "%1"=="wg3051" GOTO Make_f016

cd main
call make.bat
cd ..\settings
call make.bat
cd ..
GOTO Make_dsp

:Make_f040
cd main
call make.bat
cd ..\page7
call make.bat
cd ..
GOTO Make_dsp

:Make_008b
cd main
call make.bat new
cd ..
GOTO Make_settings

:Make_008t
cd main
call make.bat new
cd ..
GOTO Make_settings

:Make_f016
cd main
call make.bat new
cd ..\page7
call make.bat
cd ..

:Make_settings
cd settings
call make.bat
cd ..

cd page12
call make.bat
cd ..

cd page14
call make.bat
cd ..

cd userring
call make.bat
cd ..

:Make_autotest
cd autotest
call make.bat
cd ..
cd autoprov
call make.bat
cd ..

:Make_dsp
cd g723
call make.bat
cd ..\g729
call make.bat
cd ..\ilbc
call make.bat
cd ..\loaddata
call make.bat

cd ..\page0
call make.bat
cd ..

